/*
    This file is part of Frozen Bubble for S60.

    Frozen Bubble for S60 is free software; you can redistribute
    it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

    Frozen Bubble for S60 is distributed in the hope that it
    will be useful, but WITHOUT ANY WARRANTY; without even the implied
    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Frozen Bubble for S60; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef CEXTENDEDFONT_H
#define CEXTENDEDFONT_H

#include <fbs.h>
#include "CExtendedBitmap.h"
#include "CFrozenBubbleMain.h"

class TFntLimit{
  public:
    TInt16 iPosition, iSize;
};

class CExtendedFont:public CBase {
  private:
    TFntLimit limits[500];
    char *characterMap;
    CExtendedBitmap *iFont;
    MFrozenBubbleAction *actions;
    TSize szFont;
    TInt FindInMap(char c);
  public:
    CExtendedFont(CExtendedBitmap *iBitmap, MFrozenBubbleAction *iActions);
    void ConstructL(void);
    TInt GetTextLength(TPtrC8 str);
    void Print(TInt x, TInt y, TPtrC8 str);
    ~CExtendedFont();
};

#endif
