/*
    This file is part of Frozen Bubble for S60.

    Frozen Bubble for S60 is free software; you can redistribute
    it and/or modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

    Frozen Bubble for S60 is distributed in the hope that it
    will be useful, but WITHOUT ANY WARRANTY; without even the implied
    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Frozen Bubble for S60; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __MYACTIVE_H__
#define __MYACTIVE_H__

#include <e32std.h>

class CMixerThread;

class MyActive:public CActive {
public:
  void Request();
  MyActive(CMixerThread* aThread);
  private:
  void DoCancel();
  void RunL();

  CMixerThread* iThread;
};



#endif // __MYACTIVE_H__
